Sidef::Types::Block::Block(3)

NAME
Sidef::Types::Block::Block

DESCRIPTION
This class implements ...

SYNOPSIS
var obj = Block(...)

INHERITS
Inherits methods from:

       * Sidef::Object::Object

METHODS

  &
    a & b

Returns the

Aliases: grep

  *
    a * b

Returns the

Aliases: repeat

  <<
    a << b

Returns the

Aliases: for, each, foreach

  >>
    a >> b

Returns the

Aliases: map

  Π
    Block.Π()

Returns the

Aliases: prod

  Σ
    Block.Σ()

Returns the

Aliases: sum

  ∘
    a ∘ b

Returns the

Aliases: compose

  array_identity
    Block.array_identity()

Returns the

  cache
    Block.cache()

Returns the

  call
    Block.call()

Returns the

  cap
    Block.cap()

Returns the

Aliases: capture

  do
    Block.do()

Returns the

Aliases: run

  exec
    Block.exec()

Returns the

  ffork
    Block.ffork()

Returns the

Aliases: start

  first
    Block.first()

Returns the

  fork
    Block.fork()

Returns the

  identity
    Block.identity()

Returns the

  if
    Block.if()

Returns the

  is_identity
    Block.is_identity()

Returns the

  list_identity
    Block.list_identity()

Returns the

  loop
    Block.loop()

Returns the

  new
    Block.new()

Returns the

  nth
    Block.nth()

Returns the

  null_identity
    Block.null_identity()

Returns the

  thr
    Block.thr()

Returns the

Aliases: thread

  to_s
    Block.to_s()

Returns the

Aliases: dump, to_str

  uncache
    Block.uncache()

Returns the

  while
    Block.while()

Returns the